Bug 1288999 - python-acme in EPEL6 (for letsencrypt)
python-acme in EPEL6 (for letsencrypt)
Status: NEW
Product: Fedora EPEL
Classification: Fedora
Component: python-acme (Show other bugs)
el6
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: James Hogarth
Fedora Extras Quality Assurance
:
: 1288994 (view as bug list)
Depends On: 1289002 1288998 1289003
Blocks: 1288744
  Show dependency treegraph
 
Reported: 2015-12-07 03:09 EST by Nick
Modified: 2016-11-02 05:49 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nick 2015-12-07 03:09:04 EST
This is a bug to track the dependencies needed to get python-acme into EPEL6
Comment 1 Robert Buchholz 2016-02-11 10:13:01 EST
*** Bug 1288994 has been marked as a duplicate of this bug. ***
Comment 2 Robert Buchholz 2016-02-11 13:47:31 EST
Currently, the following dependencies are missing:

Error: No Package found for python-cryptography
# bug 1288998
# needs backport of several other python packages, depending on the version we pick for EL6.

If we go with python-cryptography-1.0.2-1

Error: No Package found for python-cffi >= 0.8
# this package is in EPEL6 already, python-cffi-0.6-5.el6

# plus these new:
Error: No Package found for python-cryptography-vectors = 1.0.2
Error: No Package found for python-idna >= 2.0                  # bug 1291496
Error: No Package found for python-ipaddress


If we'd want to go with the most recent release (1.2.1-3) we have additional missing deps: python2-hypothesis, python2-pyasn1-modules >= 0.1.8 where pyasn1 is already in RHEL6(base).



Error: No Package found for python-pyrfc3339
# bug 1289002
# easy to fix

Error: No Package found for python-sphinx_rtd_theme
Error: No Package found for python-sphinxcontrib-programoutput
# not sure about these. Probably not be needed if we don't build the HTML docs.
Comment 3 Robert Buchholz 2016-02-11 13:48:17 EST
note that some of these deps are SRPMd at http://copr-dist-git.fedorainfracloud.org/cgit/@letsencrypt/letsencrypt/
Comment 4 Sander Hoentjen 2016-11-02 05:49:58 EDT
Just as a note I built python-acme in COPR:
https://copr.fedorainfracloud.org/coprs/tjikkun/python-acme/

I used python-cryptography-0.8.2 because that was the way with the least dependency issues

Note You need to log in before you can comment on or make changes to this bug.